package com.amqp.shanxi.service.impl;

import cn.hutool.json.JSONUtil;
import com.amqp.shanxi.dao.RealTimeInfoDao;
import com.amqp.shanxi.model.*;
import com.amqp.shanxi.service.RealTimeInfoService;
import com.amqp.shanxi.util.AESUtil;
import com.amqp.shanxi.util.StaticParamUtils;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Service
public class RealTimeInfoServiceImpl implements RealTimeInfoService {

    @Autowired
    private AmqpTemplate amqpTemplate;

    @Autowired
    private RealTimeInfoDao realTimeInfoDao;

    @Override
    public String gantanRealTimeData() {
        try {
            List<GantanRealTimeInfoModel> gantanRealTimeInfoModelList = realTimeInfoDao.findGantanRealTimeData();
            StaticDataInfoModel gantanRealTime = new StaticDataInfoModel();
            for (GantanRealTimeInfoModel gantanRealTimeInfoModel : gantanRealTimeInfoModelList) {
                // 未报警
                gantanRealTimeInfoModel.setSensorno(StaticParamUtils.GANTANNO + (Integer.parseInt(gantanRealTimeInfoModel.getSensorno()) >= 10 ? gantanRealTimeInfoModel.getSensorno() : "0" + Integer.parseInt(gantanRealTimeInfoModel.getSensorno())));
                if (gantanRealTimeInfoModel.getCollectdate().contains(".")) {
                    gantanRealTimeInfoModel.setCollectdate(gantanRealTimeInfoModel.getCollectdate().substring(0, gantanRealTimeInfoModel.getCollectdate().indexOf(".")));
                }
                gantanRealTimeInfoModel.setValue(String.format("%.2f", Double.parseDouble(gantanRealTimeInfoModel.getValue())));
            }
            System.out.println("gt实时数据=======================" + JSONUtil.toJsonStr(gantanRealTimeInfoModelList));

            if (gantanRealTimeInfoModelList.size() > 0) {
                gantanRealTime.setTailingNo(StaticParamUtils.WKKNO);
                gantanRealTime.setDepartmentId("91140923751519014N");
                gantanRealTime.setProvinceId(StaticParamUtils.PROVINCENO);
                gantanRealTime.setType(StaticParamUtils.GANTANDATA);
                gantanRealTime.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                gantanRealTime.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(gantanRealTimeInfoModelList), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(gantanRealTime);
        }catch(Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public String kushuiweiRealTimeData() {
        try {
            List<KushuiweiRealTimeInfoModel> kushuiweiRealTimeData = realTimeInfoDao.findKushuiweiRealTimeData();
            StaticDataInfoModel kswRealTimeData = new StaticDataInfoModel();
            for (KushuiweiRealTimeInfoModel kushuiweiRealTimeInfoModel : kushuiweiRealTimeData) {
                // 未报警
                kushuiweiRealTimeInfoModel.setSensorno(StaticParamUtils.KUSHUIWEINO + (Integer.parseInt(kushuiweiRealTimeInfoModel.getSensorno()) >= 10 ? kushuiweiRealTimeInfoModel.getSensorno() : "0" + Integer.parseInt(kushuiweiRealTimeInfoModel.getSensorno())));
                if (kushuiweiRealTimeInfoModel.getCollectdate().contains(".")) {
                    kushuiweiRealTimeInfoModel.setCollectdate(kushuiweiRealTimeInfoModel.getCollectdate().substring(0, kushuiweiRealTimeInfoModel.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("ksw实时数据=======================" + JSONUtil.toJsonStr(kushuiweiRealTimeData));

            if (kushuiweiRealTimeData.size() > 0) {
                kswRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                kswRealTimeData.setDepartmentId("91140923751519014N");
                kswRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                kswRealTimeData.setType(StaticParamUtils.KUSHUIWEIDATA);
                kswRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                kswRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(kushuiweiRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(kswRealTimeData);
        }catch(Exception e) {
            e.printStackTrace();
            return null;
        }
    }


    @Override
    public String biaomianweiyiRealTimeData() {
        try {
            List<BiaomianweiyiRealTimeInfoModel> biaomianweiyiRealTimeData = realTimeInfoDao.findBiaomianweiyiRealTimeData();
            StaticDataInfoModel bmwyRealTimeData = new StaticDataInfoModel();
            for (BiaomianweiyiRealTimeInfoModel biaomianweiyiRealTimeDatum : biaomianweiyiRealTimeData) {
                // 未报警
                biaomianweiyiRealTimeDatum.setSensorno(StaticParamUtils.BIAOMIANWEIYINO + (Integer.parseInt(biaomianweiyiRealTimeDatum.getSensorno()) >= 10 ? biaomianweiyiRealTimeDatum.getSensorno() : "0" + Integer.parseInt(biaomianweiyiRealTimeDatum.getSensorno())));
                if (biaomianweiyiRealTimeDatum.getCollectdate().contains(".")) {
                    biaomianweiyiRealTimeDatum.setCollectdate(biaomianweiyiRealTimeDatum.getCollectdate().substring(0, biaomianweiyiRealTimeDatum.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("bmwy实时数据=======================" + JSONUtil.toJsonStr(biaomianweiyiRealTimeData));
            if (biaomianweiyiRealTimeData.size() > 0) {
                bmwyRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                bmwyRealTimeData.setDepartmentId("91140923751519014N");
                bmwyRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                bmwyRealTimeData.setType(StaticParamUtils.BIAOMIANWEIYIDATA);
                bmwyRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                bmwyRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(biaomianweiyiRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(bmwyRealTimeData);
        }catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public String jinrunxianRealTimeData() {
        try {
            List<JinrunxianRealTimeInfoModel> jinrunxianRealTimeData = realTimeInfoDao.findJinrunxianRealTimeData();
            StaticDataInfoModel jrxRealTimeData = new StaticDataInfoModel();
            for (JinrunxianRealTimeInfoModel jinrunxianRealTimeDatum : jinrunxianRealTimeData) {
                // 未报警
                jinrunxianRealTimeDatum.setSensorno(StaticParamUtils.JINRUNXIANNO + (Integer.parseInt(jinrunxianRealTimeDatum.getSensorno()) >= 10 ? jinrunxianRealTimeDatum.getSensorno() : "0" + Integer.parseInt(jinrunxianRealTimeDatum.getSensorno())));
                if (jinrunxianRealTimeDatum.getCollectdate().contains(".")) {
                    jinrunxianRealTimeDatum.setCollectdate(jinrunxianRealTimeDatum.getCollectdate().substring(0, jinrunxianRealTimeDatum.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("jrx实时数据=======================" + JSONUtil.toJsonStr(jinrunxianRealTimeData));
            if (jinrunxianRealTimeData.size() > 0) {
                jrxRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                jrxRealTimeData.setDepartmentId("91140923751519014N");
                jrxRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                jrxRealTimeData.setType(StaticParamUtils.JINRUNXIANDATA);
                jrxRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                jrxRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(jinrunxianRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(jrxRealTimeData);
        }catch(Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public String jiangyuliangRealTimeData() {
        try {
            List<JiangyuliangRealTimeInfoModel> jiangyuliangRealTimeData = realTimeInfoDao.findJiangyuliangRealTimeData();
            StaticDataInfoModel jylRealTimeData = new StaticDataInfoModel();
            for (JiangyuliangRealTimeInfoModel jiangyuliangRealTimeDatum : jiangyuliangRealTimeData) {
                // 未报警
                jiangyuliangRealTimeDatum.setSensorno(StaticParamUtils.JIANGYULIANGNO + (Integer.parseInt(jiangyuliangRealTimeDatum.getSensorno()) >= 10 ? jiangyuliangRealTimeDatum.getSensorno() : "0" + Integer.parseInt(jiangyuliangRealTimeDatum.getSensorno())));
                if (jiangyuliangRealTimeDatum.getCollectdate().contains(".")) {
                    jiangyuliangRealTimeDatum.setCollectdate(jiangyuliangRealTimeDatum.getCollectdate().substring(0, jiangyuliangRealTimeDatum.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("jyl实时数据=======================" + JSONUtil.toJsonStr(jiangyuliangRealTimeData));
            if (jiangyuliangRealTimeData.size() > 0) {
                jylRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                jylRealTimeData.setDepartmentId("91140923751519014N");
                jylRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                jylRealTimeData.setType(StaticParamUtils.JIANGYULIANGDATA);
                jylRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                jylRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(jiangyuliangRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(jylRealTimeData);
        }catch (Exception e){
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public String neibuChenJiangRealTimeData() {
        try {
            List<NeibuweiyiRealTimeInfoModel> neibuChenjiangRealTimeData = realTimeInfoDao.findNeibuChenjiangRealTimeData();
            StaticDataInfoModel nbcjRealTimeData = new StaticDataInfoModel();
            for (NeibuweiyiRealTimeInfoModel neibuChenjiangRealTimeDatum : neibuChenjiangRealTimeData) {
                // 未报警
                neibuChenjiangRealTimeDatum.setSensorno(StaticParamUtils.NEIBUWEIYINO + (Integer.parseInt(neibuChenjiangRealTimeDatum.getSensorno()) >= 10 ? String.valueOf(neibuChenjiangRealTimeDatum.getSensorno()) : "0" + neibuChenjiangRealTimeDatum.getSensorno()));
                if (neibuChenjiangRealTimeDatum.getCollectdate().contains(".")) {
                    neibuChenjiangRealTimeDatum.setCollectdate(neibuChenjiangRealTimeDatum.getCollectdate().substring(0, neibuChenjiangRealTimeDatum.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("nbcj内部沉降实时数据=======================" + JSONUtil.toJsonStr(neibuChenjiangRealTimeData));
            if (neibuChenjiangRealTimeData.size() > 0) {
                nbcjRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                nbcjRealTimeData.setDepartmentId("91140923751519014N");
                nbcjRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                nbcjRealTimeData.setType(StaticParamUtils.NEIBUWEIYIDATA);
                nbcjRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                nbcjRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(neibuChenjiangRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(nbcjRealTimeData);
        }catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }


    @Override
    public String neibuShuiPingRealTimeData() {
        try {
            List<NeibuweiyiRealTimeInfoModel> neibuShuipingRealTimeData = realTimeInfoDao.findNeibuShuipingRealTimeData();
            StaticDataInfoModel nbspRealTimeData = new StaticDataInfoModel();
            for (NeibuweiyiRealTimeInfoModel neibuShuipingRealTimeDatum : neibuShuipingRealTimeData) {
                // 未报警
                neibuShuipingRealTimeDatum.setSensorno(StaticParamUtils.NEIBUWEIYINO + (Integer.parseInt(neibuShuipingRealTimeDatum.getSensorno()) >= 10 ? String.valueOf(neibuShuipingRealTimeDatum.getSensorno()) : "0" + neibuShuipingRealTimeDatum.getSensorno()));
                if (neibuShuipingRealTimeDatum.getCollectdate().contains(".")) {
                    neibuShuipingRealTimeDatum.setCollectdate(neibuShuipingRealTimeDatum.getCollectdate().substring(0, neibuShuipingRealTimeDatum.getCollectdate().indexOf(".")));
                }
            }
            System.out.println("nbsp内部水平实时数据=======================" + JSONUtil.toJsonStr(neibuShuipingRealTimeData));
            if (neibuShuipingRealTimeData.size() > 0) {
                nbspRealTimeData.setTailingNo(StaticParamUtils.WKKNO);
                nbspRealTimeData.setDepartmentId("91140923751519014N");
                nbspRealTimeData.setProvinceId(StaticParamUtils.PROVINCENO);
                nbspRealTimeData.setType(StaticParamUtils.NEIBUWEIYIDATA);
                nbspRealTimeData.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                nbspRealTimeData.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(neibuShuipingRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(nbspRealTimeData);
        }catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 监测设备
     */
    @Override
    public String deviceRealTimeData() {
        try {
            StaticDataInfoModel deviceRealTimeDataModel = new StaticDataInfoModel();
            List<DeviceRealTimeInfoModel> deviceRealTimeData = realTimeInfoDao.findDeviceRealTimeData();
            for (int i = 0; i < deviceRealTimeData.size(); i++) {
                if (deviceRealTimeData.get(i).getItemno().contains("干滩2")) {
                    deviceRealTimeData.get(i).setItemno("01");
                } else if (deviceRealTimeData.get(i).getItemno().contains("库水位")) {
                    deviceRealTimeData.get(i).setItemno("02");
                } else if (deviceRealTimeData.get(i).getItemno().contains("坝体表面位移")) {
                    deviceRealTimeData.get(i).setItemno("03");
                } else if (deviceRealTimeData.get(i).getItemno().contains("雨量计")) {
                    deviceRealTimeData.get(i).setItemno("06");
                } else if (deviceRealTimeData.get(i).getItemno().contains("浸润线")) {
                    deviceRealTimeData.get(i).setItemno("05");
                } else if (deviceRealTimeData.get(i).getItemno().contains("坝体内部沉降")) {
                    deviceRealTimeData.get(i).setItemno("04");
                }
                if (deviceRealTimeData.get(i).getState() != null) {
                    deviceRealTimeData.get(i).setState("1");
                } else {
                    deviceRealTimeData.get(i).setState("0");
                }
                deviceRealTimeData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));

            }

            System.out.println("device实时数据=======================" + JSONUtil.toJsonStr(deviceRealTimeData));
            if (deviceRealTimeData.size() > 0) {
                deviceRealTimeDataModel.setTailingNo(StaticParamUtils.WKKNO);
                deviceRealTimeDataModel.setDepartmentId("91140923751519014N");
                deviceRealTimeDataModel.setProvinceId(StaticParamUtils.PROVINCENO);
                deviceRealTimeDataModel.setType(StaticParamUtils.DEVICEDATA);
                deviceRealTimeDataModel.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                deviceRealTimeDataModel.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(deviceRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            return JSONUtil.toJsonStr(deviceRealTimeDataModel);
        }catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public String wkkRealTimeData() {
        try{
            StaticDataInfoModel wkkRealTimeDataModel = new StaticDataInfoModel();
            List<WkkRealTimeInfoModel> wkkRealTimeData = realTimeInfoDao.findWkkRealTimeData();
            if (wkkRealTimeData.size() > 0) {
                wkkRealTimeData.get(0).setState("1");
                wkkRealTimeData.get(0).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                wkkRealTimeDataModel.setTailingNo(StaticParamUtils.WKKNO);
                wkkRealTimeDataModel.setDepartmentId("91140923751519014N");
                wkkRealTimeDataModel.setProvinceId(StaticParamUtils.PROVINCENO);
                wkkRealTimeDataModel.setType(StaticParamUtils.WKKDATA);
                wkkRealTimeDataModel.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                wkkRealTimeDataModel.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(wkkRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
                System.out.println("wkk实时数据=======================" + JSONUtil.toJsonStr(wkkRealTimeData));
                return JSONUtil.toJsonStr(wkkRealTimeDataModel);
            } else {
                WkkRealTimeInfoModel wkkRealTimeInfoModel = new WkkRealTimeInfoModel();
                wkkRealTimeInfoModel.setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                wkkRealTimeInfoModel.setState("0");
                wkkRealTimeData.add(wkkRealTimeInfoModel);

                wkkRealTimeDataModel.setTailingNo(StaticParamUtils.WKKNO);
                wkkRealTimeDataModel.setDepartmentId("91140923751519014N");
                wkkRealTimeDataModel.setProvinceId(StaticParamUtils.PROVINCENO);
                wkkRealTimeDataModel.setType(StaticParamUtils.WKKDATA);
                wkkRealTimeDataModel.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                wkkRealTimeDataModel.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(wkkRealTimeData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
                System.out.println("wkk实时数据=======================" + JSONUtil.toJsonStr(wkkRealTimeData));
                return JSONUtil.toJsonStr(wkkRealTimeDataModel);
            }
        }catch(Exception e)  {
            e.printStackTrace();
            return null;
        }
    }


    /**
     * 设备离线
     */
    @Override
    public String deviceOffLineData() {
        try {
            StaticDataInfoModel deviceOffLineDataModel = new StaticDataInfoModel();
            List<DeviceOffLineInfoModel> deviceOffLineData = realTimeInfoDao.findDeviceOffLineData();
            System.out.println("离线设备数据个数：" + deviceOffLineData.size());
            if(deviceOffLineData.size() > 0) {
                // 有离线设备
                for(int i = 0; i < deviceOffLineData.size(); i++) {
                    if ("雨量计".equals(deviceOffLineData.get(i).getSensorno())) {
                        deviceOffLineData.get(i).setSensorno(StaticParamUtils.JIANGYULIANGNO + (deviceOffLineData.get(i).getRecordid() >= 10 ? String.valueOf(deviceOffLineData.get(i).getRecordid()) : "0" + deviceOffLineData.get(i).getRecordid()));
                        deviceOffLineData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                    } else if ("坝体表面位移".equals(deviceOffLineData.get(i).getSensorno())) {
                        deviceOffLineData.get(i).setSensorno(StaticParamUtils.BIAOMIANWEIYINO + (deviceOffLineData.get(i).getRecordid() >= 10 ? String.valueOf(deviceOffLineData.get(i).getRecordid()) : "0" + deviceOffLineData.get(i).getRecordid()));
                        deviceOffLineData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                    } else if ("浸润线".equals(deviceOffLineData.get(i).getSensorno())) {
                        deviceOffLineData.get(i).setSensorno(StaticParamUtils.JINRUNXIANNO + (deviceOffLineData.get(i).getRecordid() >= 10 ? String.valueOf(deviceOffLineData.get(i).getRecordid()) : "0" + deviceOffLineData.get(i).getRecordid()));
                        deviceOffLineData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                    } else if ("库水位".equals(deviceOffLineData.get(i).getSensorno())) {
                        deviceOffLineData.get(i).setSensorno(StaticParamUtils.KUSHUIWEINO + (deviceOffLineData.get(i).getRecordid() >= 10 ? String.valueOf(deviceOffLineData.get(i).getRecordid()) : "0" + deviceOffLineData.get(i).getRecordid()));
                        deviceOffLineData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                    } else if ("干滩2".equals(deviceOffLineData.get(i).getSensorno())) {
                        deviceOffLineData.get(i).setSensorno(StaticParamUtils.GANTANNO + (deviceOffLineData.get(i).getRecordid() >= 10 ? String.valueOf(deviceOffLineData.get(i).getRecordid()) : "0" + deviceOffLineData.get(i).getRecordid()));
                        deviceOffLineData.get(i).setCollectdate(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                    }
                }
                deviceOffLineDataModel.setTailingNo(StaticParamUtils.WKKNO);
                deviceOffLineDataModel.setDepartmentId("91140923751519014N");
                deviceOffLineDataModel.setProvinceId(StaticParamUtils.PROVINCENO);
                deviceOffLineDataModel.setType(StaticParamUtils.DEVICEOFFLINE);
                deviceOffLineDataModel.setSendTime(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
                deviceOffLineDataModel.setDatas(AESUtil.encrypt(JSONUtil.toJsonStr(deviceOffLineData), "aq6Q90xDtIANw7+pwTyECg==", "ATIjly3q6UWeJoGQh5+msQ=="));
            }
            System.out.println("离线设备信息数据长度 :" + JSONUtil.toJsonStr(deviceOffLineData));

            return JSONUtil.toJsonStr(deviceOffLineData);
        }catch(Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
